## alfred 2023.0

=== debian/changelog ===
alfred (2023.0-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Jan 2023 18:50:36 +0100
