## alfred 2023.2

=== debian/changelog ===
alfred (2023.2-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Wed, 16 Aug 2023 22:41:37 +0200

alfred (2023.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Wed, 21 Jun 2023 09:48:09 +0200

alfred (2023.1-1) experimental; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Sat, 27 May 2023 11:10:29 +0200
