## alfred 2024.0

=== debian/changelog ===
alfred (2024.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:08:25 +1100

alfred (2024.0-1build1) noble; urgency=high

  * No change rebuild against libgps30t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:48:29 +0100

alfred (2024.0-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 02 Feb 2024 21:26:37 +0100

alfred (2023.3-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 17 Nov 2023 20:03:01 +0100
