=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: alfred
 Section: net
 Priority: optional
-Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
 Uploaders:
  Steffen Moeller <moeller@debian.org>,
 Standards-Version: 4.6.2
