## alfred 2024.1

=== debian/changelog ===
alfred (2024.1-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version
  * debian/rules:
    - Use DEB_BUILD_MAINT_OPTIONS to set lto flags
    - Use DEB_BUILD_MAINT_OPTIONS to set lfs flag
  * debian/control:
    - Replace pkg-config with pkgconf

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Apr 2024 10:05:37 +0200
