## alfred 2024.2

=== debian/changelog ===
alfred (2024.2-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Sat, 22 Jun 2024 17:17:23 +0200
