## alfred 2024.4

=== debian/changelog ===
alfred (2024.4-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 10 Dec 2024 21:42:34 +0100
