=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: alfred
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
+Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
 Uploaders:
  Steffen Moeller <moeller@debian.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.open-mesh.org/projects/alfred/wiki
 Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git -b debian/unstable
@@ -16,7 +15,7 @@
  libgps-dev (>= 3.20),
  libnl-3-dev,
  libnl-genl-3-dev,
- pkg-config,
+ pkgconf,
 
 Package: alfred
 Architecture: any
