## alfred 2025.2

=== debian/changelog ===
alfred (2025.2-1) experimental; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Thu, 19 Jun 2025 00:06:01 +0200

alfred (2025.1-1) experimental; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Mon, 21 Apr 2025 17:18:37 +0200
