=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.open-mesh.org/projects/alfred/wiki
-Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git -b debian/unstable
+Vcs-Git: https://salsa.debian.org/communitywlan-team/alfred.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/alfred
 Build-Depends:
  debhelper-compat (= 13),
