## alfred 2025.3

=== debian/changelog ===
alfred (2025.3-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Sep 2025 15:24:30 +0200
