=== debian/changelog ===
alfred (2025.4-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Sat, 25 Oct 2025 11:09:09 +0200
