=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,8 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PKG_CONFIG ?= pkg-config
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export DEB_CFLAGS_MAINT_APPEND = -fdata-sections -ffunction-sections -flto
-export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto abi=+lfs
+export DEB_CFLAGS_MAINT_APPEND = -fdata-sections -ffunction-sections
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--gc-sections
 
 MAKEOPTIONS = V="1" REVISION="debian-$(DEB_VERSION)" PREFIX="/usr"
