=== debian/watch ===
Version: 5
Source: https://downloads.open-mesh.org/batman/releases/batman-adv-@ANY_VERSION@/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Pgpmode: auto
